import { columnManagerFieldItem } from './column-manager';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly localKey: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<columnManagerFieldItem[]>, unknown, unknown, () => any[], boolean>;
    readonly maxCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly enableAddField: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly addFieldText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly icon: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placement: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly minWidth: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<readonly [NumberConstructor, StringConstructor], unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly maxHeight: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<readonly [NumberConstructor, StringConstructor], unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly localKey: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<columnManagerFieldItem[]>, unknown, unknown, () => any[], boolean>;
        readonly maxCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly enableAddField: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly addFieldText: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly icon: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly placement: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly minWidth: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<readonly [NumberConstructor, StringConstructor], unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly maxHeight: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<readonly [NumberConstructor, StringConstructor], unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
    }>> & Readonly<{
        onChange?: (...args: any[]) => any;
        "onUpdate:open"?: (...args: any[]) => any;
        onStart?: (...args: any[]) => any;
        onEnd?: (...args: any[]) => any;
        onUpdate?: (...args: any[]) => any;
        onInit?: (...args: any[]) => any;
    }> & {}>;
    emits: (event: "change" | "end" | "start" | "update:open" | "update" | "init", ...args: any[]) => void;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    subBem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    attrs: import("vue").Attrs;
    localList: import("vue").ComputedRef<columnManagerFieldItem[]>;
    columnList: import("vue").Ref<{
        [x: string]: any;
        title: string;
        key: string;
        isFixed?: boolean;
        isHidden?: boolean;
        isSensitive?: string;
        initialDisplay?: boolean;
    }[], columnManagerFieldItem[] | {
        [x: string]: any;
        title: string;
        key: string;
        isFixed?: boolean;
        isHidden?: boolean;
        isSensitive?: string;
        initialDisplay?: boolean;
    }[]>;
    searchVal: import("vue").Ref<string, string>;
    newOpen: import("vue").WritableComputedRef<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>, boolean>;
    filterField: import("vue").ComputedRef<columnManagerFieldItem[]>;
    startDrag: (e: any) => void;
    updateDrag: (e: any) => void;
    endDrag: (e: any) => void;
    handleClick: (item: columnManagerFieldItem) => void;
    handleRemove: (idx: number) => void;
    readonly addUnit: (val: string | number) => string;
    readonly draggable: import("vue").DefineComponent<{
        list: {
            type: ArrayConstructor;
            required: boolean;
            default: any;
        };
        modelValue: {
            type: ArrayConstructor;
            required: boolean;
            default: any;
        };
        itemKey: {
            type: (StringConstructor | FunctionConstructor)[];
            required: boolean;
        };
        clone: {
            type: FunctionConstructor;
            default: (original: any) => any;
        };
        tag: {
            type: StringConstructor;
            default: string;
        };
        move: {
            type: FunctionConstructor;
            default: any;
        };
        componentData: {
            type: ObjectConstructor;
            required: boolean;
            default: any;
        };
    }, unknown, {
        error: boolean;
    }, {
        realList(): any;
        getKey(): any;
    }, {
        getUnderlyingVm(domElement: any): any;
        getUnderlyingPotencialDraggableComponent(htmElement: any): any;
        emitChanges(evt: any): void;
        alterList(onList: any): void;
        spliceList(): void;
        updatePosition(oldIndex: any, newIndex: any): void;
        getRelatedContextFromMoveEvent({ to, related }: {
            to: any;
            related: any;
        }): any;
        getVmIndexFromDomIndex(domIndex: any): any;
        onDragStart(evt: any): void;
        onDragAdd(evt: any): void;
        onDragRemove(evt: any): void;
        onDragUpdate(evt: any): void;
        computeFutureIndex(relatedContext: any, evt: any): any;
        onDragMove(evt: any, originalEvent: any): any;
        onDragEnd(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any[], any, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        move: Function;
        tag: string;
        clone: Function;
        list: unknown[];
        modelValue: unknown[];
        componentData: Record<string, any>;
    } & {
        itemKey?: string | Function;
    }>, {
        move: Function;
        tag: string;
        clone: Function;
        list: unknown[];
        modelValue: unknown[];
        componentData: Record<string, any>;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "end" | "start" | "update:open" | "update" | "init")[], "change" | "end" | "start" | "update:open" | "update" | "init", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly localKey: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<columnManagerFieldItem[]>, unknown, unknown, () => any[], boolean>;
    readonly maxCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly enableAddField: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly addFieldText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly icon: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placement: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly minWidth: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<readonly [NumberConstructor, StringConstructor], unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly maxHeight: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<readonly [NumberConstructor, StringConstructor], unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
}>> & Readonly<{
    onChange?: (...args: any[]) => any;
    "onUpdate:open"?: (...args: any[]) => any;
    onStart?: (...args: any[]) => any;
    onEnd?: (...args: any[]) => any;
    onUpdate?: (...args: any[]) => any;
    onInit?: (...args: any[]) => any;
}>, {
    readonly open: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly maxCount: number;
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly fieldList: columnManagerFieldItem[];
    readonly enableAddField: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
